%global         pypi_name requirementslib
%global         _description %{expand:
RequirementsLib provides a simple layer for building and interacting with requirements
in both the Pipfile format and the requirements.txt format. This library was originally built
for converting between these formats in Pipenv.}
Name:           python-%{pypi_name}
Version:        1.3.2
Epoch:          1
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/sarugaku/requirementslib
Source0:        https://github.com/sarugaku/requirementslib/archive/v%{version}/requirementslib-%{version}.tar.gz
#Source0:        https://github.com/sarugaku/requirementslib/archive/%{version}.tar.gz
BuildArch:      noarch
Summary:        Python library for working with pipfile and requirements.txt

%description
%{_description}

%{?python_disable_dependency_generator}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-pytest-timeout
BuildRequires:  python3-pytest-xdist
BuildRequires:  python3-parver
BuildRequires:  python3-wheel
BuildRequires:  python3-vistir
BuildRequires:  python3-invoke
BuildRequires:  python3-pip-shims
BuildRequires:  python3-plette
BuildRequires:  python3-packaging
BuildRequires:  python3-cached-property
BuildRequires:  python3-first
BuildRequires:  python3-distlib
BuildRequires:  python3-appdirs
BuildRequires:  python3-pep517
BuildRequires:  python3-orderedmultidict
BuildRequires:  git
BuildRequires:  python3-coverage

%{?python_provide:%python_provide python3-%{pypi_name}}

Requires: python3.7dist(appdirs)
Requires: python3.7dist(attrs) >= 18.2 
Requires: python3.7dist(cached-property)
Requires: python3.7dist(distlib) >= 0.2
Requires: python3.7dist(first)
Requires: python3.7dist(orderedmultidict)
Requires: python3.7dist(packaging) >= 19 
Requires: python3.7dist(pep517) >= 0.5 
Requires: python3.7dist(pip-shims) >= 0.3
Requires: python3.7dist(plette)
Requires: python3.7dist(requests)
Requires: python3.7dist(setuptools) >= 40.8
Requires: python3.7dist(six) >= 1.11
Requires: python3.7dist(tomlkit) >= 0.5 
Requires: python3.7dist(vistir) >= 0.3

%description -n python3-%{pypi_name}
%{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check

# issue: https://github.com/sarugaku/requirementslib/issues/145
#REQUIREMENTSLIB_SKIP_INTERNET_TESTS=1 PYTHONPATH=./src/ %{__python3} -m pytest -vv --timeout 300 ./tests/ -k 'not test_local_req and not test_get_ref and not test_get_requirements and not test_no_duplicate_egg_info and not test_extras and not test_get_local_ref'
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}-*.egg-info/
%{python3_sitelib}/%{pypi_name}/

%changelog
* Sun May 12 2019 Patrik Kopkan <pkopkan@redhat.com> - 1:1.3.2-1
- initial package
